Package: org.gradle.api.plugins

## [Java] Class HelpTasksPlugin

- org.gradle.api.plugins.HelpTasksPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class HelpTasksPlugin
      extends Object

  Adds various reporting tasks that provide information about the project.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMPONENTS_TASK` |
    `static String` | `DEPENDENCIES_TASK` |
    `static String` | `DEPENDENCY_INSIGHT_TASK` |
    `static String` | `HELP_GROUP` |
    `static String` | `MODEL_TASK` |
    `static String` | `PROPERTIES_TASK` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String COMPONENTS_TASK

    - #### public static final String DEPENDENCIES_TASK

    - #### public static final String DEPENDENCY_INSIGHT_TASK

    - #### public static final String HELP_GROUP

    - #### public static final String MODEL_TASK

    - #### public static final String PROPERTIES_TASK

  - ### Method Detail

    - #### public void apply(org.gradle.api.internal.project.ProjectInternal project)